libvisio::VSDNumericField Class Reference documentation

libvisio::VSDNumericField Class Reference

`#include <VSDFieldList.h>`

Inheritance diagram for libvisio::VSDNumericField:

## Public Member Functions
| VSDNumericField (unsigned id, unsigned level, unsigned short format, unsigned short cellType, double number, int formatStringId)
| ~VSDNumericField () override
void | handle (VSDCollector *collector) const override
VSDFieldListElement * | clone () override
librevenge::RVNGString | getString (const std::map< unsigned, librevenge::RVNGString > &, unsigned defaultUnit) override
void | setNameId (int) override
void | setFormat (unsigned short format) override
void | setCellType (unsigned short cellType) override
void | setValue (double number) override
Public Member Functions inherited from libvisio::VSDFieldListElement
| VSDFieldListElement ()
virtual | ~VSDFieldListElement ()

## Private Member Functions
librevenge::RVNGString | datetimeToString (const char *format, double datetime)

## Private Attributes
unsigned | m_id
unsigned | m_level
unsigned short | m_format
unsigned short | m_cell_type
double | m_number
int | m_formatStringId

## Constructor & Destructor Documentation

## ◆ VSDNumericField()

libvisio::VSDNumericField::VSDNumericField | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned short | format,
|  | unsigned short | cellType,
|  | double | number,
|  | int | formatStringId )
| inline

Referenced by clone().

## ◆ ~VSDNumericField()

libvisio::VSDNumericField::~VSDNumericField | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libvisio::VSDFieldListElement * libvisio::VSDNumericField::clone | ( |  | ) |
| overridevirtual

Implements libvisio::VSDFieldListElement.

## ◆ datetimeToString()

librevenge::RVNGString libvisio::VSDNumericField::datetimeToString | ( | const char * | format,
|  | double | datetime )
| private

Referenced by getString().

## ◆ getString()

librevenge::RVNGString libvisio::VSDNumericField::getString | ( | const std::map< unsigned, librevenge::RVNGString > & | ,
|  | unsigned | defaultUnit )
| overridevirtual

Implements libvisio::VSDFieldListElement.

Referenced by libvisio::VSDContentCollector::collectNumericField().

## ◆ handle()

void libvisio::VSDNumericField::handle | ( | VSDCollector * | collector | ) | const
| overridevirtual

Implements libvisio::VSDFieldListElement.

## ◆ setCellType()

void libvisio::VSDNumericField::setCellType | ( | unsigned short | cellType | ) |
| overridevirtual

Implements libvisio::VSDFieldListElement.

## ◆ setFormat()

void libvisio::VSDNumericField::setFormat | ( | unsigned short | format | ) |
| overridevirtual

Implements libvisio::VSDFieldListElement.

## ◆ setNameId()

void libvisio::VSDNumericField::setNameId | ( | int |  | ) |
| inlineoverridevirtual

Implements libvisio::VSDFieldListElement.

## ◆ setValue()

void libvisio::VSDNumericField::setValue | ( | double | number | ) |
| overridevirtual

Implements libvisio::VSDFieldListElement.

## Member Data Documentation

## ◆ m_cell_type

unsigned short libvisio::VSDNumericField::m_cell_type
| private

Referenced by clone(), getString(), handle(), setCellType(), and VSDNumericField().

## ◆ m_format

unsigned short libvisio::VSDNumericField::m_format
| private

Referenced by clone(), getString(), handle(), setFormat(), and VSDNumericField().

## ◆ m_formatStringId

int libvisio::VSDNumericField::m_formatStringId
| private

Referenced by clone(), handle(), and VSDNumericField().

## ◆ m_id

unsigned libvisio::VSDNumericField::m_id
| private

Referenced by clone(), handle(), and VSDNumericField().

## ◆ m_level

unsigned libvisio::VSDNumericField::m_level
| private

Referenced by clone(), handle(), and VSDNumericField().

## ◆ m_number

double libvisio::VSDNumericField::m_number
| private

Referenced by clone(), getString(), handle(), setValue(), and VSDNumericField().

The documentation for this class was generated from the following files:

- VSDFieldList.h
- VSDFieldList.cpp